### Virtual Method

# Atk Text get_run_attributes

#### Declaration [src]

    AtkAttributeSet*
    get_run_attributes (
      AtkText* text,
      gint offset,
      gint* start_offset,
      gint* end_offset
    )

#### Description [src]

Creates an `AtkAttributeSet` which consists of the attributes explicitly set at the position `offset` in the text. `start_offset` and `end_offset` are set to the start and end of the range around `offset` where the attributes are invariant. Note that `end_offset` is the offset of the first character after the range. See the enum AtkTextAttribute for types of text attributes that can be returned. Note that other attributes may also be returned.

#### Parameters

`offset`

  Type: `gint`

  The character offset at which to get the attributes, -1 means the offset of the character to be inserted at the caret location.

`start_offset`

  Type: `gint*`

  The address to put the start offset of the range.

  The argument will be set by the function.

`end_offset`

  Type: `gint*`

  The address to put the end offset of the range.

  The argument will be set by the function.

#### Return value

Type: `AtkAttributeSet`

An `AtkAttributeSet` which contains the attributes explicitly set at `offset`. This `AtkAttributeSet` should be freed by a call to atk_attribute_set_free().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.